<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html" indent="yes"/>
<xsl:template match="/">

<Contents Find="TickerItem">
	<xsl:choose>
		<xsl:when test="@ID = 'tc_portfolio_0'">
			<TickerHeader Text="               " />
		</xsl:when>
		<xsl:otherwise>
			<TickerHeader>
				<Item bold="yes">
					<xsl:if test="@TICKERCOLOR = ''">
						<xsl:attribute name="TextColor">skin.epbar.ticker.headercolor</xsl:attribute>
					</xsl:if>
					<xsl:attribute name="Text">&#32;&#32;&#32;&#32;&#32;&#32;&#32;&#32;&#32;&#32;&#32;&#32;<xsl:value-of select="@NAME"/>&#32;.&#32;.&#32;.&#32;.&#32;&#32;&#32;&#32;</xsl:attribute>
				</Item>
			</TickerHeader>
		</xsl:otherwise>
	</xsl:choose>

	<xsl:for-each select="DATOM">
	<xsl:choose>
		<xsl:when test="@TYPE = 'bstk'">

			<xsl:for-each select="QUOTE">
				<TickerItem>
					<xsl:attribute name="Link">http://finance.aol.com/pfweb/quote/detail?sym=<xsl:value-of select="@Symbol"/></xsl:attribute>

					<Item TextLink="yes">
						<xsl:choose>
							<xsl:when test="@ShortName">
								<xsl:attribute name="Text"><xsl:value-of select="@ShortName"/>&#32;&#32;</xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="Text"><xsl:value-of select="@Symbol"/>&#32;&#32;</xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
					</Item>

					<Item TextLink="yes">
						<xsl:attribute name="Text"><xsl:value-of select="format-number(@Last,'#.00')"/></xsl:attribute>
					</Item>


					<xsl:choose>
						<xsl:when test="@SECURITYTYPE = 'Money Market'">
							<Item Text="%"/>
						</xsl:when>

						<xsl:otherwise>
							<Item Text="  "/>
							<xsl:choose>
								<xsl:when test="@ChangePercent &gt; 0">
									<Item File="./skins/default/uparrow_tkr.gif"/>
									<Item Text="  "/>
									<Item TextLink="yes" TextColor="skin.epbar.ticker.stockupcolor">
										<xsl:attribute name="Text"><xsl:value-of select="format-number(@Change,'#.00')"/></xsl:attribute>  						
									</Item>
								</xsl:when>

								<xsl:when test="@ChangePercent &lt; 0">
									<Item File="./skins/default/dnarrow_tkr.gif"/>
									<Item Text="  "/>
									<Item TextLink="yes" TextColor="skin.epbar.ticker.stockdowncolor">
										<xsl:attribute name="Text"><xsl:value-of select="format-number(@Change,'#.00')"/></xsl:attribute>  						
									</Item>
								</xsl:when>

								<xsl:otherwise>
									<Item Text="0.00" TextLink="yes"/>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:otherwise>
					</xsl:choose>


<ABSTRACT><xsl:value-of select="@Name"/>&#13;
<xsl:choose>
	<xsl:if test="@CLOSED = 'T'">
		&#32;Market&#32;Closed
	</xsl:if>
</xsl:choose>

<xsl:if test="@QUOTE_TIMET">
	<xsl:variable name="age" select="$servertime$ - @QUOTE_TIMET"/>
	<xsl:variable name="age" select="$age / 86400" />
	<xsl:if test="$age &gt; 5">
		<xsl:if test="$age &lt;= 365">
			&#13;This security has not traded in&#32;<xsl:value-of select="$age"/>&#32;days.
		</xsl:if>
	</xsl:if>
	<xsl:if test="$age &gt; 365">
		&#13;This security has not traded in more than a year.
	</xsl:if>
</xsl:if>

	&#13;Last Traded:&#32;<xsl:value-of select="@LastSaleDate" />

<xsl:choose>
	<xsl:when test="@SECURITYTYPE = 'Money Market'">
		<xsl:variable name="mat" select="@BID * 10000" />
		&#13;&#13;7-Day Yield:&#32;&#32;<xsl:value-of select="@LAST"/>&#37;
Average Maturity:&#32;<xsl:value-of select="$mat"/>
	</xsl:when>
	<xsl:when test="@SECURITYTYPE = 'Mutual Fund'">
		&#13;&#13;Previous Close:&#32;&#32;<xsl:value-of select="@PREV"/>
	</xsl:when>
	<xsl:otherwise>
&#13;&#13;Open:&#09;&#32;&#32;<xsl:value-of select="format-number(@Open,'#.00')"/>&#13;
High:&#09;&#32;&#32;<xsl:value-of select="format-number(@DayHigh,'#.00')"/>&#13;Low:&#09;&#32;&#32;<xsl:value-of select="format-number(@DayLow,'#.00')"/>
&#13;&#13;Volume:&#09;&#32;&#32;<xsl:value-of select="@Volume"/>
	</xsl:otherwise>
</xsl:choose>
&#13;
</ABSTRACT>

				<ClickAction Type="bstk">
					<xsl:attribute name="SYMBOL">QUOTE.<xsl:value-of select="@SYMBOL"/></xsl:attribute>
					<xsl:attribute name="URL">http://finance.aol.com/pfweb/quote/detail?sym=<xsl:value-of select="@Symbol"/></xsl:attribute>
					<xsl:attribute name="ALERTID"><xsl:value-of select="@ALERTID"/></xsl:attribute>
					<xsl:attribute name="RULE"><xsl:value-of select="@RULE"/></xsl:attribute>
				</ClickAction>

				</TickerItem>
			</xsl:for-each>
		</xsl:when>
	</xsl:choose>

	<TickerItem Text="        "/>

	</xsl:for-each>
</Contents>

</xsl:template>
</xsl:stylesheet>
